services:
    _defaults:
        public: true #because controller

    Claroline\OpenBadgeBundle\Controller\OpenBadgeController:
        arguments:
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\OpenBadgeBundle\Serializer\CriteriaSerializer'
            - '@Claroline\OpenBadgeBundle\Serializer\ImageSerializer'
            - '@Claroline\OpenBadgeBundle\Serializer\ProfileSerializer'

    Claroline\OpenBadgeBundle\Controller\API\AssertionController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\OpenBadgeBundle\Manager\BadgeManager'
            - '@security.token_storage'
            - '@Claroline\AppBundle\Manager\PdfManager'

    Claroline\OpenBadgeBundle\Controller\API\BadgeClassController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@security.token_storage'
            - '@Claroline\OpenBadgeBundle\Manager\BadgeManager'
            - '@Claroline\OpenBadgeBundle\Manager\AssertionManager'

    Claroline\OpenBadgeBundle\Controller\API\EvidenceController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@security.token_storage'

    Claroline\OpenBadgeBundle\Controller\API\RuleController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
